extension StringExtension on String {
  DateTime toDate() => DateTime.parse(this);
  int toInt() => int.parse(this);
  double toDouble() => double.parse(this);
  bool isNewLine() => '\n' == substring(length - 1);
  String format(List<String> params) => interpolate(this, params);
  List<String> commasToList(String val) => toList(this);
}

String interpolate(String string, List<String> params) {
  String result = string;
  for (int i = 0; i < params.length; i++) {
    result = result.replaceAll('\{${i}}', params[i]);
    // result = result.replaceAll('%${i}\$', params[i - 1]);
  }

  return result;
}

List<String> toList(String val) {
  List<String> dataList = new List<String>();
  var dataArray = val.split(',');
  dataArray.forEach((str) {
    dataList.add(str.trim());
  });

  return dataList;
}
